Skip to main content
GET
List project file versions

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Path Parameters

project_reference
string
required

Project slug, UUID, or domain

file_path
string
required

File path (URL-encoded, for example, pages%2Findex.mdx).

Query Parameters

ref
string

Content to address: main, branch:<name-or-id>, release:<version> or env:<name>. Canonical replacement for branch and branch_id.

Example:

"branch:feature-x"

branch
string

Branch name or ID. Legacy alias for ref=branch:<value>.

Example:

"feature-x"

branch_id
string<uuid>

Branch ID. Legacy alias for ref=branch:<uuid>.

cursor
string

Cursor for pagination

limit
number
default:20

Maximum number of entries to return. Defaults to 20 and is capped at 100.

Required range: 1 <= x <= 100

Response

Paginated list of file versions

data
object[]
required
page_info
object
required